Subject: Re: Option 82 and DCI issues

From: "Michael W. Patrick" <[email-masked]>
Date: Fri, 29 Sep 2000 14:01:52 -0400

Jack,

You're right, the agent option wording is unclear. I had intended for 
the DHCP agent option to be the last option *before* the 
the 255. I didn't realize that the 255 is called the "End option".
I'm updating the dhcp agent option draft now, so I'll clarify.

Thanx,
mike

>>>>> "Jack" == Jack Fijolek <[email-masked]> writes:

> Mike, Yes, 82 does not have "its own end tag". Some vendors take
> that to mean that the packet itself does not need an end tag since
> 82 says it must be the last option added BUT the RFC says the last
> option MUST be the end option...which is it??

> 4.1 Constructing and sending DHCP messages

>    DHCP clients and servers both construct DHCP messages by filling
> in fields in the fixed format section of the message and appending
> tagged data items in the variable length option area.  The options
> area includes first a four-octet 'magic cookie' (which was described
> in section 3), followed by the options.  The last option must always
> be the 'end' option.

> Jack

> "Michael W. Patrick" <[email-masked]> on 09/29/2000
> 07:52:17 AM

> Sent by: "Michael W. Patrick" <[email-masked]>

> To: [email-masked] cc: Jack Fijolek/MW/US/3Com, "Michael.Patrick"
> <[email-masked]> Subject: Re: Option 82 and
> DCI issues

> Of course 82 does not have its own 255 end tag. Who says it does?

> -mike

>>>>> "Doug" == Doug Jones <[email-masked]> writes:

>>> ---------- From: [email-masked][SMTP:[email-masked]] Sent: Thursday,
>>> September 28, 2000 6:45:55 PM To: [email-masked];
>>> Michael.Patrick Subject: RE: Option 82 and DCI issues Auto
>>> forwarded by a Rule
>>> 
>> hey jack,

>> i asked rich woundy for some direction, and will be starting on an
>> I-D for an agent suboption for the 4 byte field currently described
>> in the DCI-REQ message.

>> lemme get the meat of what i want to do written.  then i'll get
>> ahold of you about this piece.

>> dj

>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] Sent: Saturday, September 23, 2000
>> 9:36 AM To: Doug Jones; [email-masked] Subject: RE:
>> Option 82 and DCI issues

>> Doug, Mike, Has the option 82 piece been specified for CCCM devices
>> yet? If not perhaps the relay-agent draft could, at the same time,
>> clarify use of the 255 (end-tag).  The draft says that the relay
>> agent option must be the last in packet, and, that it must not
>> include a 255 suboption. I have seen confusion in DHCP option 82
>> implementations. My interpretation is that option 82 itself does
>> not include an end tag sub-option but every DHCP packet per RFC
>> still must have an end tag on it. Cisco, for example, has
>> implemented that not only does option 82 NOT include a 255 tag, the
>> entire DHCP packet with option 82 appended has no end tag
>> (following all options).  Regards, Jack Fijolek